Python 3.6 default target reverted on Gentoo

After a long rebuild session yesterday due to the Python 3.6 upgrade, I was not overly impressed when issuing emerge --sync eventually resulted in a proposition to revert yesterdays work:

Continue reading

Python 3.6 is now the default target on Gentoo

Python 3.6 recently replaced Python 3.5 in the default Python targets on Gentoo systems. The change was announced a month ago, which provided more than enough time for me to forget all about it. Because of this, I was somewhat surprised today as Portage complained about unmet requirements for the fail2ban-0.9.6 ebuild.

Continue reading